Bug 670001 - Images from stylesheet missing in reports
Summary: Images from stylesheet missing in reports
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-16 16:28 UTC by Brian C. Huffman
Modified: 2014-03-17 03:26 UTC (History)
9 users (show)

Fixed In Version: gnucash-2.4.4-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-29 03:50:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 635706 None None None Never

Description Brian C. Huffman 2011-01-16 16:28:44 UTC
Description of problem: Images that are specified in the stylesheet configuration (banner for instance) do not show up in reports.


Version-Release number of selected component (if applicable): 2.4.0-1


How reproducible: Always


Steps to Reproduce:
1. Setup an image in a stylesheet.
2. Create invoice report using stylesheet. 
3. No image
  
Actual results: No image


Expected results: Image 


Additional info:  This is noted in gnome upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=635706.  It is in fact related to the new version of webkit that Fedora 14 ships.  It is suggested that compiling without webkit or downgrading version of webkit to the one shipped with F13 would work.

Comment 1 Kevin Fenzi 2011-01-17 17:17:59 UTC
Well, I don't think we can really go back to the older stable webkit in a stable release. 
Thats going to be worlds of pain unfortunately. 

Can someone test against webkitgtk 1.3.10 which is in updates-testing right now? 
Alternately, perhaps we could file a webkit bug on this and see if we can get whatever it is fixed there. 
Its not entirely clear to me what would have changed.

Comment 2 Bill Nottingham 2011-01-17 17:23:45 UTC
Doesn't appear to work with 1.3.10 in rawhide.

Comment 3 Brian C. Huffman 2011-01-17 19:35:44 UTC
I can confirm that using the gtkhtml drawing engine instead of webkit works ( specify --with-html-engine=gtkhtml when configuring ).  I don't think that's the direction that the gnucash project would like to go, but in the absence of a working webkit, it may be a better solution.

Comment 4 Fedora Admin XMLRPC Client 2011-03-15 17:19:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Update System 2011-03-18 20:06:34 UTC
gnucash-2.4.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gnucash-2.4.4-2.fc14

Comment 6 Bill Nottingham 2011-03-18 20:07:54 UTC
This was a problem with GnuCash's configure script.

Comment 7 Fedora Update System 2011-03-18 20:08:35 UTC
gnucash-2.4.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnucash-2.4.4-2.fc15

Comment 8 Fedora Update System 2011-03-29 03:50:14 UTC
gnucash-2.4.4-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-29 19:50:23 UTC
gnucash-2.4.4-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.